Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package reflect
  Definition Classes
    tools
- Eval
- FastStringInterpolator
- FastTrack
- FormatInterpolator
- FrontEnd
- ReflectGlobal
- ReflectMain
- StdContextTags
- StdRuntimeTags
- StdTags
- ToolBox
- ToolBoxError
- ToolBoxFactory
- WrappedProperties

c

scala.tools.reflect

# StdContextTags

###

#### abstract class StdContextTags extends StdTags

Source
  StdTags.scala

Linear Supertypes
StdTags, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. StdContextTags
2. StdTags
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new StdContextTags()

### Abstract Value Members

1.  abstract val tc: Context

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from StdContextTags toany2stringadd[StdContextTags] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (StdContextTags, B)
   Implicit
     This member is added by an implicit conversion from StdContextTags toArrowAssoc[StdContextTags] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (StdContextTags) => Boolean, msg: => Any): StdContextTags
   Implicit
     This member is added by an implicit conversion from StdContextTags toEnsuring[StdContextTags] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (StdContextTags) => Boolean): StdContextTags
   Implicit
     This member is added by an implicit conversion from StdContextTags toEnsuring[StdContextTags] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): StdContextTags
    Implicit
      This member is added by an implicit conversion from StdContextTags toEnsuring[StdContextTags] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): StdContextTags
    Implicit
      This member is added by an implicit conversion from StdContextTags toEnsuring[StdContextTags] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from StdContextTags toStringFormat[StdContextTags] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  val m: nsc.Global.Mirror
    Definition Classes
      StdContextTags → StdTags
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  lazy val tagOfBigDecimal: nsc.Global.TypeTag[BigDecimal]
    Definition Classes
      StdTags
25.  lazy val tagOfBigInt: nsc.Global.TypeTag[BigInt]
    Definition Classes
      StdTags
26.  lazy val tagOfCalendar: nsc.Global.TypeTag[Calendar]
    Definition Classes
      StdTags
27.  lazy val tagOfClassLoader: nsc.Global.TypeTag[ClassLoader]
    Definition Classes
      StdTags
28.  lazy val tagOfDate: nsc.Global.TypeTag[Date]
    Definition Classes
      StdTags
29.  lazy val tagOfDirectory: nsc.Global.TypeTag[Directory]
    Definition Classes
      StdTags
30.  lazy val tagOfFile: nsc.Global.TypeTag[File]
    Definition Classes
      StdTags
31.  lazy val tagOfInt: nsc.Global.TypeTag[Int]
    Definition Classes
      StdTags
32.  lazy val tagOfListOfString: nsc.Global.TypeTag[List[String]]
    Definition Classes
      StdTags
33.  def tagOfStaticClass[T](implicit arg0: ClassTag[T]): nsc.Global.TypeTag[T]
    Attributes
      protected
    Definition Classes
      StdTags
34.  lazy val tagOfString: nsc.Global.TypeTag[String]
    Definition Classes
      StdTags
35.  lazy val tagOfThrowable: nsc.Global.TypeTag[java.lang.Throwable]
    Definition Classes
      StdTags
36.  def toString(): String
    Definition Classes
      AnyRef → Any
37.  val u: universe.type
    Definition Classes
      StdContextTags → StdTags
38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
39.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
40.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (StdContextTags, B)
   Implicit
     This member is added by an implicit conversion from StdContextTags toArrowAssoc[StdContextTags] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from StdTags

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromStdContextTags to any2stringadd[StdContextTags]

### Inherited by implicit conversion StringFormat fromStdContextTags to StringFormat[StdContextTags]

### Inherited by implicit conversion Ensuring fromStdContextTags to Ensuring[StdContextTags]

### Inherited by implicit conversion ArrowAssoc fromStdContextTags to ArrowAssoc[StdContextTags]

### Ungrouped